@import url("https://fonts.googleapis.com/css2?family=Ubuntu:wght@300&display=swap");
body {
  margin: 0px;
  padding: 0px;
  background-color: #161616;
  font-family: "ubuntu";
}
ul {
  list-style: none;
}
a {
  text-decoration: none;
}
#main {
  margin-top: 103px;

  position: relative;
  width: 100%;
  height: 100vh;
  box-sizing: border-box;
  background-size: 500px;
  background-position: right bottom;
  background-repeat: no-repeat;
  background-image: url("../images/yo.jpg");
  background-color: #bfbcb9;
}
nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  text-transform: uppercase;
  font-weight: 600;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  box-sizing: border-box;
  background-color: white;
  box-shadow: 2px 2px 12px rgba(0, 0, 0, 0.05);
  z-index: 1;
  letter-spacing: 2px;
}

.menu {
  display: flex;
  margin: 0;
}

.menu li a {
  padding: 10px 15px;
  color: #6c707c;
  font-size: 12px;
}
.lang {
  color: #292929;
}

.toggle {
  display: none;
}
.active a,
.menu li a:hover {
  background-color: #292929;
  color: #fff !important;
  font-weight: bold;
  transition: all ease 0.4s;
}
.name {
  width: 500px;
  position: absolute;
  left: 20%;
  top: 50%;
  transform: translate(-20%, -50%);
}
.name p:nth-child(1),
.name .details {
  color: #6c707c;
  font-size: 20px;
}
.name h1 {
  font-size: 40px;
  margin: 0px;
  letter-spacing: 3px;
  color: #292929;
}
.cv-btn {
  width: 200px;
  height: 45px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #292929;
  color: #ffffff;
}
.cv-btn:hover {
  background-color: #131313;
  transition: all ease 0.5s;
}

.social {
  position: absolute;
  left: 50px;
  bottom: 50px;
  display: flex;
}
.social a {
  margin: 6px 12px;
}
.social i {
  color: rgba(18, 17, 17, 0.4);
  font-size: 14px;
}
.social a:hover i {
  color: #17d1ac;
  transition: all ease 0.5s;
}
#about {
  width: 100%;
  height: 100vh;
  background-color: #161616;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 50px 5% 0px 5%;
  position: relative;
  flex-direction: row-reverse;
}

.foto img {
  border-radius: 20px;
}

.about-text h1 {
  font-size: 5rem;
  color: #17d1ac;
}
.about-text h2 {
  font-size: 3rem;
  color: #ffffff;
  font-weight: 400;
}
.about-text h1,
h2 {
  margin: 0px;
  padding: 0px;
}
.about-text p {
  font-size: 1.2rem;
  color: rgba(255, 255, 255, 0.9);
}
.about-text button {
  width: 180px;
  height: 40px;
  border-radius: 20px;
  border: none;
  outline: none;
  background-color: #17d1ac;
}
.about-text button:hover {
  background-color: #ffffff;
  transition: all ease 0.3s;
}
#services {
  width: 100%;
  height: 100vh;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding-top: 40px;
}

.s-heading h1 {
  color: #ffffff;
  font-size: 3rem;
  margin: 0px;
  padding: 0px;
}
.s-heading p {
  color: rgba(255, 255, 255, 0.3);
  font-size: 1rem;
  margin: 0px;
  padding: 0px;
}
.s-heading {
  text-align: center;
  margin: 20px 0px;
}
.s-box {
  background-color: #2b2b2b;
  width: 350px;
  height: 500px;
  margin: 20px;
  border-radius: 10px;
  overflow: hidden;
  box-shadow: 2px 2px 12px rgba(0, 0, 0, 0.1);
  position: relative;
}
.b-container {
  display: flex;
  justify-content: center;
  align-content: center;
}
.s-b-img {
  width: 100%;
  height: 70%;
}
.s-b-img img {
  width: 100%;
  height: 100%;
}
.s-b-text {
  width: 100%;
  height: 30%;
  background-color: #1e1e1e;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}
.s-b-text a {
  margin: 0px;
  color: #ffffff;
  font-size: 1.1rem;
  display: block;
  display: -webkit-box;
  max-width: 80%;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}
.s-b-text a:hover {
  color: rgba(255, 255, 255, 0.5);
}
.s-type {
  color: #ffffff;
  background-color: #151515;
  padding: 10px 15px;
  position: absolute;
  top: 0px;
  left: 50%;
  transform: translateX(-50%);
  font-size: 18px;
  border-radius: 0px 0px 10px 10px;
  box-shadow: 2px 2px 12px rgba(0, 0, 0, 0.2);
}
.s-box:hover {
  transform: translateY(-10px);
  transition: all ease 0.3s;
}
#portfolio {
  width: 100%;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 60px 2% 20px 2%;
}

.p-headind {
  font-size: 1.7rem;
  text-align: center;
  color: #ffffff;
  font-weight: 400;
  padding: 10px 20px;
  background-color: #292929;
  letter-spacing: 2px;
  border-radius: 3px;
  box-shadow: 2px 2px 20px rgba(0, 0, 0, 0.1);
}
.p-box {
  background-color: #1f1f1f;
  overflow: hidden;
  border-radius: 10px;
  box-shadow: 2px 2px 13px rgba(0, 0, 0, 0.3);
  position: relative;
}
.p-box img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.p-container {
  width: 90%;
  height: 70vh;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: auto auto;
  grid-gap: 10px;
}
.overlay-text {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background-color: rgba(23, 209, 172, 0.8);
  display: none;
}
.overlay-text h1,
p {
  color: #ffffff;
}
.overlay-text h1 {
  font-size: 2.2rem;
  margin: 0px;
  padding: 0px;
  letter-spacing: 2px;
}
.overlay-text p {
  font-size: 1.2rem;
  margin: 0px;
}
.p-box:hover .overlay-text {
  display: flex;
}
#contact-btn {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 200px;
  background-color: #f4f7ff;
  margin: 20px 0px;
  box-sizing: border-box;
  box-shadow: 2px 0px 20px rgba(0, 0, 0, 0.4);
}
.c-b-heading {
  font-size: 2rem;
  color: #1e1e1e;
  margin: 10px;
  padding: 5px;
  letter-spacing: 4px;
  border-bottom: 2px solid #1e1e1e;
}
#contact-btn button {
  color: #ffffff;
  font-size: 1rem;
  width: 150px;
  height: 40px;
  margin: 10px;
  background-color: #1e1e1e;
  border: none;
  outline: none;
  box-shadow: 2px 5px 6px rgba(0, 0, 0, 0.2);
}
#contact-btn button:hover {
  background-color: #17d1ac;
  color: #000000;
  transition: all ease 0.5s;
  font-weight: bold;
}
#contact-form {
  width: 100%;
  height: 90vh;
  display: flex;
  justify-content: center;
  align-items: center;
}
#contact-form form {
  display: flex;
  width: 90%;
  height: 80vh;
  background-color: #1a1a1a;
  box-shadow: 2px 12px 20px rgba(0, 0, 0, 0.2);
  border: 1px solid rgba(255, 255, 255, 0.01);
}

.contact-left {
  width: 40%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.contact-right {
  width: 60%;
  height: 100%;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  border-left: 1px solid rgba(255, 255, 255, 0.08);
}
.contact-right button {
  width: 100%;
  height: 50px;
  background-color: #1ed98b;
  font-weight: bold;
  outline: none;
  border: none;
  margin: 0px;
  color: #1b1b1b;
  font-size: 14px;
  text-transform: uppercase;
  letter-spacing: 2px;
}
.c-l-heading {
  color: #ffffff;
  font-size: 3rem;
  letter-spacing: 2px;
  font-weight: 400;
}
.f-name,
.f-email {
  display: flex;
  flex-direction: column;
}
.f-name font,
.f-email font {
  color: #bfbfbf;
  font-size: 22px;
}
.f-name input,
.f-email input {
  height: 30px;
  width: 250px;
  border: none;
  outline: none;
  background-color: transparent;
  border-bottom: 1px solid #929292;
  color: #ffffff;
  margin: 10px 0px;
}
.f-email input::placeholder,
.f-name input::placeholder {
  opacity: 0.5;
  letter-spacing: 1px;
}
.f-email input:focus,
.f-name input:focus {
  border-bottom: 1px solid #17d1ac;
  transition: all ease 0.5s;
}
.message font {
  font-size: 18px;
  color: white;
}
.message {
  margin: 20px;
  color: #4e4e4e;
}
.contact-right textarea {
  width: 150% !important;
  height: 320px !important;
  border: none;
  outline: none;
  background-color: transparent;
  box-sizing: border-box;
  color: #ebebeb;
  font-size: 16px;
}
.contact-right textarea::placeholder {
  color: #ebebeb;
  font-size: 18px;
  letter-spacing: 2px;
}
.contact-right button:active {
  transform: scale(1.04);
  transition: all ease 0.1s;
}
.contenedor {
  width: 90%;
  max-width: 800px;
  margin: auto;
  padding-top: 100px;
}

/* ------------------------- */
/* HEADER */
/* ------------------------- */

header {
  padding: 40px 0;
}

header .logo {
  text-align: center;
  margin-bottom: 40px;
}

header .logo p {
  color: #9b9b9b;
}

header form {
  width: 100%;
  display: flex;
  justify-content: center;
  margin-bottom: 20px;
  margin-top: 70px;
}

header .barra-busqueda {
  width: 70%;
  height: 40px;
  line-height: 40px;
  background: #fff;
  padding: 0 20px;
  border-radius: 100px;
  border: none;
  text-align: center;
  font-size: 16px;
}

header .categorias {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

header .categorias a {
  color: #9b9b9b;
  margin: 10px 20px;
  font-size: 18px;
  font-weight: 700;
}

header .categorias a.activo {
  color: red;
}

/* ------------------------- */
/* Grid */
/* ------------------------- */

.grid {
  position: relative;
  width: 100%;
  opacity: 0;
  transition: opacity 0.5s linear 1s;
}

.grid.imagenes-cargadas {
  opacity: 1;
}

.item-contenido img {
  border-radius: 10px;
}
.grid .item {
  position: absolute;
  display: block;
  padding: 0;
  margin: 10px;
  width: calc(33.333333% - 20px);
}

.grid .item-contenido {
  position: relative;
}

.grid .item img {
  width: 100%;
  cursor: pointer;
  vertical-align: top;
}

/* ------------------------- */
/* Overlay */
/* ------------------------- */
.overlay {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgba(0, 0, 0, 0.9);
  width: 100%;
  height: 100vh;
  display: none;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.overlay.activo {
  display: flex;
}

.overlay img {
  max-width: 100%;
}

.overlay .descripcion {
  display: block;
  background: #fff;
  padding: 20px;
  text-align: center;
  margin-top: 5px;
  border-radius: 10px;
  max-width: 50%;
}

.contenedor-img {
  position: relative;
}

.overlay #btn-cerrar-popup {
  background: none;
  font-size: 20px;
  color: #fff;
  border: none;
  cursor: pointer;
  position: absolute;
  right: -20px;
  top: -20px;
}

p.descripcion {
 
  color: black;
}

/* ------------------------- */
/* Footer */
/* ------------------------- */
footer .redes-sociales {
  display: flex;
  align-content: center;
  justify-content: center;
  padding: 20px;
  flex-wrap: wrap;
}

footer .redes-sociales a {
  display: block;
  width: 60px;
  height: 60px;
  background: #000;
  color: #fff;
  margin: 20px;
  text-align: center;
  border-radius: 100px;
  transition: 0.3s ease all;
}

footer .redes-sociales .twitter {
  background: #1da1f2;
}
footer .redes-sociales .facebook {
  background: #3b5998;
}
footer .redes-sociales .instagram {
  background: #c13584;
}
footer .redes-sociales .youtube {
  background: red;
}

footer .redes-sociales a i {
  font-size: 20px;
  line-height: 60px;
}

footer .contenedor-icono:hover a {
  animation: icono 0.5s ease;
}

@keyframes icono {
  from {
    transform: rotate3d(0, 0, 0, 0);
  }
  to {
    transform: rotate3d(0, 1, 0, 360deg);
  }
}
@media (max-width: 1190px) {
  #main {
    background-size: 1150px !important;
  }
  .name {
    left: 10%;
    top: 50%;
    transform: translate(-10%, -50%);
  }

  #services {
    height: auto;
  }
  .b-container {
    flex-wrap: wrap;
  }
  .s-box {
    flex-grow: 1;
  }
  .s-b-img img {
    object-fit: cover;
  }
  #contact-form form {
    width: 95% !important;
  }
}
@media (max-width: 970px) {
  #main {
    background-image: none !important;
  }
  .name {
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
  }
  .about-model {
    display: none;
  }
  #about {
    justify-content: center;
    padding-top: 0px;
  }
  .about-text {
    width: 90%;
  }
  .about-text h1 {
    font-size: 4rem;
  }

  .p-container {
    width: 100%;
  }
}
@media (max-width: 900px) {
  .toggle {
    display: block;
  }
  .toggle:before {
    content: "\f0c9";
    font-family: fontAwesome;
    line-height: 0px;
    margin-left: -30px;
  }
  .toggle.active:before {
    content: "\f00d" !important;
  }
  nav {
    padding: 10px 30px;
  }

  nav ul {
    position: absolute;
    width: 100%;
    height: auto;
    box-sizing: border-box;
    background-color: #0f0f0f;
    top: 50px;
    left: 0;
    transition: 0.5s;
    overflow: hidden;
    display: none !important;
    border: 3px solid #1f1f1f;
  }

  nav ul li a {
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
    color: #ffffff !important;
    width: 100%;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0px !important;
    padding: 0px !important;
  }
  nav ul {
    padding: 0px;
    margin: 0px;
  }

  .active-menu {
    display: block !important;
  }

  nav ul li a:hover {
    background-color: rgba(27, 29, 32, 0.15);
  }

  .p-container {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto;
    grid-gap: 10px;
    height: auto;
  }
  .c-b-heading {
    font-size: 1.4rem;
    text-align: center;
  }
  #contact-form {
    padding: 20px;
    height: auto;
    box-sizing: border-box;
  }

  #contact-form {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  #contact-form form {
    flex-direction: column;
    height: 70%;
    padding: 20px;
    width: 90% !important;
  }
  .contact-left,
  .contact-right {
    width: 100%;
    border: none;
  }
  .f-name,
  .f-email {
    width: 100%;
  }
  .f-name input,
  .f-email input {
    width: 100%;
    border: none;
    background-color: #262626 !important;
    padding: 10px;
    box-sizing: border-box;
    height: 40px;
  }
  textarea {
    background-color: #262626 !important;
    margin: 10px 0px;
    padding: 10px;
    height: 200px !important;
    width: 100% !important;
  }
  .message {
    margin: 0px;
  }
  #contact-form form h1 {
    margin: 5px 0px;
  }
}

@media (max-width: 600px) {
  .p-container {
    grid-template-columns: 1fr;
    grid-template-rows: auto;
  }
  .c-b-heading {
    font-size: 1.2rem;
    text-align: center;
    margin: 0px 10%;
  }
  .name {
    width: 60%;
  }

  .black-line {
    margin-bottom: 20px;
  }
  .social {
    left: 30px;
    transform: translateX(-10px);
  }
}
@media (max-width: 400px) {
  .s-box {
    width: 100%;
    height: 400px;
  }
}
